Actions

Should I update from Joomla! 2.5 to 3.x?

From Joomla! Documentation

Revision as of 17:03, 30 April 2014 by Tom Hutchison (Talk | contribs)

In most cases, you will need to start planning on an upgrade to Joomla! 3.x. Joomla 2.5 will continue be supported until December 31st of 2014 and you can update directly to Joomla 3. Joomla is tried-and-tested thoroughly by other users already and stable for production sites now.

You will need to verify your template and components will work with Joomla 3.x before upgrading. All core components are upgrade ready right now.